Bug 1288478 - SSL enabled undercloud doesn't set the Tuskar URL to https protocol
SSL enabled undercloud doesn't set the Tuskar URL to https protocol
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
urgent Severity high
: ga
: 8.0 (Liberty)
Assigned To: Ben Nemec
yeylon@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-04 06:16 EST by Marius Cornea
Modified: 2016-05-13 15:16 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-06 08:38:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bnemec: needinfo-


Attachments (Terms of Use)

  None (edit)
Description Marius Cornea 2015-12-04 06:16:44 EST
Description of problem:
When deploying an SSL enabled undercloud all the Tuskar endpoint URLs are using http protocol.

Version-Release number of selected component (if applicable):
instack-undercloud-2.1.2-29.el7ost.noarch

How reproducible:
100%

Steps to Reproduce:
1. Deploy undercloud with SSL 
2. keystone endpoint-list | grep 8585 

Actual results:
| 23a01b9d81e24e44b255f481d59617d4 | regionOne |            http://192.0.2.2:8585/v2           |           http://192.0.2.1:8585/v2          |        http://192.0.2.1:8585/v2        | dfd27b8e912949c4b0946330883d55b8 |


Expected results:
I'd expect the public endpoint to be set to https as the other endpoints are set.


Additional info:
Comment 2 Ben Nemec 2016-01-05 14:49:44 EST
We're not shipping tuskar in 8.0, so this can closed, right?

Note You need to log in before you can comment on or make changes to this bug.